Summary: Secure Shell - encrypts network communications.
Name: ssh1
Version: 1.2.31
Release: 1
Group: Networking/Utilities
Copyright: Non-commercially distributable
URL: http://www.cs.hut.fi/ssh/
Packager: Hao Li <hli@wag.caltech.edu>
Source0: ftp://ftp.ssh.com/pub/ssh/ssh-%{version}.tar.gz
Source1: sshd1.init
Patch0:  ssh1-install.patch
Obsoletes: ssh, ssh-symlinks
BuildRoot: /var/tmp/%{name}-root

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

This is an all-in-one package include server, clients and extra stuff,
except symbolic links.


%package symlinks
Summary: symbolic links for ssh1
Group: Networking/Utilities
Requires: ssh1 = %{version}

%description symlinks
This package contains all symbolic links for ssh1 which save you typing
the extra `1'. Install it together with ssh1-%{version} if you don't have
ssh2 installed (otherwise there will be filename conflicts).


%prep
%setup -q -n ssh-%{version}
%patch -p1
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr --with-etcdir=/etc/ssh1 \
	--with-libwrap --with-x --enable-debug
make MAKE="make -j2"


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,usr}
make install_prefix=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -p -m0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/sshd1


%post
/sbin/chkconfig --add sshd1
if [ ! -f /etc/ssh1/ssh_host_key ]; then
	/usr/bin/ssh-keygen1 -b 1024 -f /etc/ssh1/ssh_host_key -N ''
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del sshd1
fi


%files
%defattr(-,root,root)
%doc COPYING ChangeLog INSTALL OVERVIEW README* RFC* TODO
%config /etc/rc.d/init.d/sshd1
%dir /etc/ssh1
%config /etc/ssh1/ssh_config
%config /etc/ssh1/sshd_config
/usr/bin/make-ssh-known-hosts1
/usr/bin/scp1
/usr/bin/ssh-add1
/usr/bin/ssh-agent1
/usr/bin/ssh-askpass1
/usr/bin/ssh-keygen1
/usr/bin/ssh1
/usr/man/man1/make-ssh-known-hosts1.1.gz
/usr/man/man1/scp1.1.gz
/usr/man/man1/ssh-add1.1.gz
/usr/man/man1/ssh-agent1.1.gz
/usr/man/man1/ssh-keygen1.1.gz
/usr/man/man1/ssh1.1.gz
/usr/man/man8/sshd1.8.gz
/usr/sbin/sshd1


%files symlinks
%defattr(-,root,root)
/usr/bin/make-ssh-known-hosts
/usr/bin/scp
/usr/bin/slogin
/usr/bin/ssh
/usr/bin/ssh-add
/usr/bin/ssh-agent
/usr/bin/ssh-askpass
/usr/bin/ssh-keygen
/usr/man/man1/make-ssh-known-hosts.1.gz
/usr/man/man1/scp.1.gz
/usr/man/man1/slogin.1.gz
/usr/man/man1/slogin1.1.gz
/usr/man/man1/ssh-add.1.gz
/usr/man/man1/ssh-agent.1.gz
/usr/man/man1/ssh-keygen.1.gz
/usr/man/man1/ssh.1.gz
/usr/man/man8/sshd.8.gz
/usr/sbin/sshd


%clean
rm -rf $RPM_BUILD_ROOT

